Skip to main content
`Ctrl`+`K`
scipy.signal.

# medfilt

scipy.signal.medfilt(volume, kernel_size=None)

  Perform a median filter on an N-dimensional array.

  Apply a median filter to the input array using a local window-size given by kernel_size. The array will automatically be zero-padded.

  Parameters:
    volume array_like

      An N-dimensional input array.

    kernel_size array_like, optional

      A scalar or an N-length list giving the size of the median filter window in each dimension. Elements of kernel_size should be odd. If kernel_size is a scalar, then this scalar is used as the size in each dimension. Default size is 3 for each dimension.

  Returns:
    out ndarray

      An array the same size as input containing the median filtered result.

  Warns:
    UserWarning

      If array size is smaller than kernel size along any dimension

  See also

  `scipy.ndimage.median_filter`
  `scipy.signal.medfilt2d`

  Notes

  The more general function `scipy.ndimage.median_filter` has a more efficient implementation of a median filter and therefore runs much faster.

  For 2-dimensional images with `uint8`, `float32` or `float64` dtypes, the specialised function `scipy.signal.medfilt2d` may be faster.